GNUNET-DID(1)

NAME
gnunet-did - command line tool to create and manage gnunet identity DIDs.

SYNOPSIS
gnunet-did [-A | --show-all] [-C | --create] [-c FILENAME | --config=FILENAME] [-d DID | --did=DID] [-D DID_DOCUMENT | --did-document=DID_DOCUMENT] [-e EGO | --ego=EGO] [-g | --get] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l LOGFILE | --logfile=LOGFILE] [-r | --remove] [-R | --replace] [-s | --show] [-t TIME | --expiration-time=TIME] [-v | --version]

DESCRIPTION
gnunet-did is a command line tool to create and manage gnunet identity DIDs.

OPTIONS

-A | --show-all
    List all DIDs for all egos.

-C | --create
    Create a DID Document and display the DID.

-c FILENAME | --config=FILENAME
    Use the specified configuration file FILENAME.

-d DID | --did=DID
    The to use for the operation is DID.

-D DID_DOCUMENT | --did-document=DID_DOCUMENT
    The DID Document to use is DID_DOCUMENT.

-e EGO | --ego=EGO
    The ego to use is EGO.

-g | --get
    Get the DID Document associated with the DID given in DID.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-l LOGFILE | --logfile=LOGFILE
    Configure logging to write logs to LOGFILE.

-r | --remove
    Remove the DID given in --did.

-R | --replace
    Replace the DID Docuemnt given in --did-document for the DID given in DID.

-s | --show
    Show the DID for the ego given in --ego.

-t | --expiration-time
    The expiration time to use in the GNS record for the DID Document given in Ar. DID_DOCUMENT .

-v | --version
    Print GNUnet version number.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook.

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.